%define name beep-media-player-libvisual
%define version 0.2.0
%define release 1mdk
%define oname libvisual-bmp
%define visualver 0.1.7

Summary: Use visualisation plugins based on libvisual in BeepMP
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/libvisual/%{oname}-%{version}.tar.bz2
License: GPL
Group: Sound
Url: http://libvisual.sf.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libvisual-devel >= %visualver
BuildRequires: libbeep-media-player-devel
BuildRequires: libMesaGLU-devel
BuildRequires: SDL-devel
Requires: beep-media-player
Requires: libvisual-plugins >= %visualver

%description
Libvisual is an Beep Media Player plugin for the libvisual audio
visualisation framework.

%prep
%setup -q -n %oname-%version

%build
export LDFLAGS=-L%_prefix/X11R6/%_lib
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/bmp/Visualization/*.la
%find_lang %oname

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %oname.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/bmp/Visualization/*.so
%_datadir/%oname/

%changelog
* Fri Feb 11 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Wed Oct 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- fix build

* Fri Oct 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package
